<template>
  <div>
    <div class="header_style" v-if="data.section_header">
      <div class="container">
        <div class="row p-0">
          <div class="col-5 mt-4 mb-4" v-if="data.section_header.logo_header">
            <img
              class="img-fluid"
              :src="data.section_header.logo_header.value"
            />
          </div>
          <div class="col-6 mt-4 mb-4">
            <div class="d-none d-md-block">
              <form inline class="d-flex py-4 py-md-4" ref="form">
                <div
                  class="input-group me-xl-2"
                  v-if="data.section_header.icon_user"
                >
                  <span class="input-group-text" id="basic-addon1">
                    <img :src="data.section_header.icon_user.value" />
                  </span>
                  <input
                    type="text"
                    name="username"
                    class="form-control"
                    placeholder="Username"
                    aria-label="Username"
                    aria-describedby="basic-addon1"
                  />
                </div>
                <div
                  class="input-group me-xl-2"
                  v-if="data.section_header.icon_log"
                >
                  <span class="input-group-text" id="basic-addon1">
                    <img
                      :src="data.section_header.icon_log.value"
                      class=""
                      alt=""
                    />
                  </span>
                  <input
                    type="password"
                    name="password"
                    class="form-control"
                    placeholder="รหัสผ่าน"
                    aria-label="Username"
                    aria-describedby="basic-addon1"
                    v-on:keyup.enter="submit"
                  />
                </div>
                <div
                  class="input-group"
                  style="max-width: 100px"
                  v-if="data.section_header.login"
                >
                  <!-- <button type="submit" class="btn text-white px-4 btn_login" :style="bgGradient('#0c590e','#4e892e')">เข้าสู่ระบบ</button> -->
                  <button type="submit" class="btn_login">
                    {{ data.section_header.login.value }}
                  </button>
                  <!-- @click="submit" -->
                </div>
              </form>
            </div>
            <!-- mobile -->
            <div
              class="d-block d-md-none mt-4 mb-4"
              style="text-align: end"
              v-if="data.section_header.menu_mobile"
            >
              <div>
                <b-button v-b-toggle.sidebar
                  ><img :src="data.section_header.menu_mobile.value"
                /></b-button>
                <b-sidebar id="sidebar" class="btn_menu_mobile" shadow lazy>
                  <div class="container">
                    <div class="row p-0">
                      <div class="overflowScroll text-center mt-4">
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/' })"
                          :class="{ active: this.$route.name === 'index' }"
                        >
                          <img
                            class="img-fluid"
                            :src="require('~/assets/image/icon_home.png')"
                          />
                          หน้าแรก
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/promotion' })"
                          :class="{ active: this.$route.name === 'promotion' }"

                        >
                          <img
                            class="img-fluid"
                            :src="require('~/assets/image/logo_megaphone.png')"
                          />
                          โปรโมชั่น
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/sport' })"
                          :class="{ active: this.$route.name === 'sport' }"
                        >
                          <img
                            class="img-fluid"
                            :src="require('~/assets/image/logo_sport.png')"
                          />
                          กีฬา
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/casino' })"
                          :class="{ active: this.$route.name === 'casino' }"
                        >
                          <img
                            :src="require('~/assets/image/logo_casino.png')"
                          />
                          คาสิโน
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/slot' })"
                          :class="{ active: this.$route.name === 'slot' }"
                        >
                          <img :src="require('~/assets/image/logo_slot.png')" />
                          สล๊อต
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/horse' })"
                          :class="{ active: this.$route.name === 'horse' }"
                        >
                          <img
                            :src="require('~/assets/image/logo_horse.png')"
                          />
                          แข่งม้า
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/esport' })"
                          :class="{ active: this.$route.name === 'esport' }"
                        >
                          <img
                            :src="require('~/assets/image/logo_e-sport.png')"
                          />
                          E-SPORT
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/fishing' })"
                          :class="{ active: this.$route.name === 'fishing' }"
                        >
                          <img
                            :src="require('~/assets/image/logo_fishing.png')"
                          />
                          ยิงปลา
                        </div>
                        <div
                          class="mobile_menu_item mt-3"
                          @click="$router.push({ path: '/' })"
                        >
                          <img
                            :src="require('~/assets/image/logo_lotto.png')"
                          />
                          หวย
                        </div>
                      </div>
                    </div>
                  </div>
                </b-sidebar>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      data: {
        section_header: [],
      },
      isloadding: false,
    };
  },

  async beforeMount() {
    this.GetData();
  },
  methods: {
    isFormat(temp, current) {
      for (let key in temp) {
        if (!Object.keys(current).includes(key)) {
          return false;
        }
      }
      return true;
    },
    async addStyle() {
      for (const [key, v] of Object.entries(this.data)) {
        if (typeof v === "object") {
          for (const [k, val] of Object.entries(v)) {
            if (val.type == "color") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                val.value
              );
            } else if (val.type == "image") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                `url(${val.value})`
              );
            }
          }
        }
      }
    },
    async GetData() {
      try {
        // const url = "http://" + window.location.host + "/get.php";
        // let {data} = await this.$axios.get('/get.php?code_name='+md5);
        this.isloadding = true;
        let { data } = await this.$axios.get("/get_winbet97.json");

        // let { data } = await this.$axios.get(
        //   "https://admin-static-api-ehhif4jpyq-as.a.run.app/api/Static/ab1e389ef2852fb41d6d3c68fb252370"
        // );

        this.data = await this.mapSectionData(data);
        if (this.data) {
          this.addStyle();
        }
        this.componentKey += 1;
        this.isloadding = false;

        // console.log("this.isloadding ", this.isloadding);
        return true;
      } catch (error) {
        console.log(error);
        const { response } = error;
        if (response) {
          const { status } = response;
          if (!status) {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            return false;
          } else if (status === 200) {
            console.log("Error is ok");
          } else if (status === 404) {
            this.$router.push({
              path: "/404",
              query: { message: response.data.message },
            });
            console.log("is invalid or not found");
            // this.$swal("is invalid or not found");
            return false;
          } else {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            // console.log(" is under maintainance with custom message");
            // this.$swal("is under maintainance with custom message");
            return false;
          }
        } else {
          console.log(error);
          this.$router.push({
            path: "/400",
            query: { message: "server is not responding" },
          });
          // this.$swal("is invalid or not found 3");
          return false;
        }

        // console.log("500");
      }
    },

    mapSectionData(data) {
      for (let key in data) {
        if (typeof data[key] === "object") {
          data[key] = data[key].reduce(function (map, value) {
            map[value.name] = value;
            return map;
          }, {});
        }
      }
      return data;
    },
  },
};
</script>

